curl --request PUT \
--url https://api.checklyhq.com/v1/checks/multistep/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"activated": true,
"muted": true,
"doubleCheck": true,
"shouldFail": true,
"locations": [],
"tags": [
"<string>"
],
"alertSettings": {
"reminders": {},
"sslCertificates": {
"enabled": true,
"alertThreshold": 123
},
"runBasedEscalation": {},
"timeBasedEscalation": {},
"parallelRunFailureThreshold": {
"enabled": true
}
},
"useGlobalAlertSettings": true,
"groupId": 123,
"groupOrder": 1,
"alertChannelSubscriptions": [
{
"alertChannelId": 123,
"activated": true
}
],
"retryStrategy": {
"baseBackoffSeconds": 123,
"sameRegion": true,
"maxRetries": 5.5,
"maxDurationSeconds": 300,
"onlyOn": [
"NETWORK_ERROR"
]
},
"triggerIncident": {
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"notifySubscribers": true
},
"runParallel": true,
"description": "<string>",
"checkType": "MULTI_STEP",
"environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"locked": true,
"secret": true
}
],
"script": "<string>",
"scriptPath": "<string>",
"privateLocations": [
"<string>"
],
"dependencies": [
{
"path": "<string>",
"content": "<string>"
}
]
}
'import requests
url = "https://api.checklyhq.com/v1/checks/multistep/{id}"
payload = {
"name": "<string>",
"activated": True,
"muted": True,
"doubleCheck": True,
"shouldFail": True,
"locations": [],
"tags": ["<string>"],
"alertSettings": {
"reminders": {},
"sslCertificates": {
"enabled": True,
"alertThreshold": 123
},
"runBasedEscalation": {},
"timeBasedEscalation": {},
"parallelRunFailureThreshold": { "enabled": True }
},
"useGlobalAlertSettings": True,
"groupId": 123,
"groupOrder": 1,
"alertChannelSubscriptions": [
{
"alertChannelId": 123,
"activated": True
}
],
"retryStrategy": {
"baseBackoffSeconds": 123,
"sameRegion": True,
"maxRetries": 5.5,
"maxDurationSeconds": 300,
"onlyOn": ["NETWORK_ERROR"]
},
"triggerIncident": {
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"notifySubscribers": True
},
"runParallel": True,
"description": "<string>",
"checkType": "MULTI_STEP",
"environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"locked": True,
"secret": True
}
],
"script": "<string>",
"scriptPath": "<string>",
"privateLocations": ["<string>"],
"dependencies": [
{
"path": "<string>",
"content": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
activated: true,
muted: true,
doubleCheck: true,
shouldFail: true,
locations: [],
tags: ['<string>'],
alertSettings: {
reminders: {},
sslCertificates: {enabled: true, alertThreshold: 123},
runBasedEscalation: {},
timeBasedEscalation: {},
parallelRunFailureThreshold: {enabled: true}
},
useGlobalAlertSettings: true,
groupId: 123,
groupOrder: 1,
alertChannelSubscriptions: [{alertChannelId: 123, activated: true}],
retryStrategy: {
baseBackoffSeconds: 123,
sameRegion: true,
maxRetries: 5.5,
maxDurationSeconds: 300,
onlyOn: ['NETWORK_ERROR']
},
triggerIncident: {
serviceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
notifySubscribers: true
},
runParallel: true,
description: '<string>',
checkType: 'MULTI_STEP',
environmentVariables: [{key: '<string>', value: '<string>', locked: true, secret: true}],
script: '<string>',
scriptPath: '<string>',
privateLocations: ['<string>'],
dependencies: [{path: '<string>', content: '<string>'}]
})
};
fetch('https://api.checklyhq.com/v1/checks/multistep/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"script": "<string>",
"activated": true,
"muted": false,
"doubleCheck": true,
"shouldFail": false,
"locations": [],
"tags": [],
"alertSettings": {
"escalationType": "RUN_BASED",
"runBasedEscalation": {
"failedRunThreshold": 1
},
"reminders": {
"amount": 0,
"interval": 5
},
"parallelRunFailureThreshold": {
"enabled": false,
"percentage": 10
}
},
"useGlobalAlertSettings": true,
"groupId": null,
"groupOrder": null,
"runtimeId": null,
"alertChannelSubscriptions": [
{
"alertChannelId": 123,
"activated": true
}
],
"retryStrategy": {
"baseBackoffSeconds": 60,
"sameRegion": true,
"maxRetries": 5.5,
"maxDurationSeconds": 300,
"onlyOn": [
"NETWORK_ERROR"
]
},
"triggerIncident": {
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"notifySubscribers": true
},
"runParallel": false,
"description": null,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"alertChannels": {
"email": [
{
"address": ""
}
],
"webhook": [
{
"name": "",
"url": "",
"method": "POST",
"headers": [],
"queryParameters": []
}
],
"slack": [
{
"url": ""
}
],
"sms": [
{
"name": "<string>",
"number": ""
}
]
},
"project": {
"id": "<string>",
"logicalId": "<string>",
"name": "<string>"
},
"logicalId": "<string>",
"member": true,
"pending": true,
"privateLocations": [
"<string>"
],
"checkType": "MULTI_STEP",
"frequency": 10,
"environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"locked": false,
"secret": false
}
]
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}Update a multi-step check
Updates a Multi-Step check.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
1Query Parameters
Determines whether a new check will automatically be added as a subscriber to all existing alert channels when it gets created.
Body
1us-east-1, us-east-2, us-west-1, us-west-2, ca-central-1, sa-east-1, eu-west-1, eu-central-1, eu-west-2, eu-west-3, eu-north-1, eu-south-1, me-south-1, ap-southeast-1, ap-northeast-1, ap-east-1, ap-southeast-2, ap-southeast-3, ap-northeast-2, ap-northeast-3, ap-south-1, af-south-1 1Show child attributes
Show child attributes
x >= 02026.04, 2025.04, 2024.09, 2024.02, 2023.09, 2023.02, 2022.10, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
500MULTI_STEP 100Show child attributes
Show child attributes
1, 2, 5, 10, 15, 30, 60, 120, 180, 360, 720, 1440 111Show child attributes
Show child attributes
Response
Successful
1us-east-1, us-east-2, us-west-1, us-west-2, ca-central-1, sa-east-1, eu-west-1, eu-central-1, eu-west-2, eu-west-3, eu-north-1, eu-south-1, me-south-1, ap-southeast-1, ap-northeast-1, ap-east-1, ap-southeast-2, ap-southeast-3, ap-northeast-2, ap-northeast-3, ap-south-1, af-south-1 1Show child attributes
Show child attributes
x >= 02026.04, 2025.04, 2024.09, 2024.02, 2023.09, 2023.02, 2022.10, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
500Show child attributes
Show child attributes
The project that manages this check, or null when the check is not managed by code.
Show child attributes
Show child attributes
The check's logical ID within the managing project, or null when it is not managed by code.
True when the project owns this check, false when it merely references a check owned outside the project. Null when not managed by code.
True when the binding is reserved by an import plan that has not been deployed yet. Null when not managed by code.
1MULTI_STEP 1, 2, 5, 10, 15, 30, 60, 120, 180, 360, 720, 1440 100Show child attributes
Show child attributes
Was this page helpful?